ProyectoCrm/src/app/Modulos/ClienteModulo/Paginas/fw-cliente/Componentes/fw-cliente-contacto/fw-cliente-contacto.component.html

<div class="row">
  <div class="col-12 col-lg-6">
    <div class="form-row border-bottom-secondary mb-2">
      <div class="form-group col-12">
        <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-info mr-2"></span><span>Telefonos</span></h5>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 col-lg-11">
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-phone"></i></span></div>
          <input class="ControlInput--Input align-middle" type="text" placeholder="Telefono" size="sm" [(ngModel)]="tClienteTelefonoNuevo.Telefono"/>
        </div>
      </div>
      <div class="form-group col-12 col-lg-1">
        <button class="btn btn-outline-success" (click)="CargarTelefono()" name="Agregar" title="Agregar"><i class="fas fa-plus"></i></button>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="row pb-2" *ngFor="let tTelefonoFor of tCliente.LTelefonos | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index">
          <div class="col-12">
            <div class="card border-left-secondary">
              <div class="card-body">
                <div class="row no-gutters align-items-center">
                  <div class="col-auto text-center">
                    <div class="fas fa-phone fa-2x" [ngClass]="{'text-gray-300': tTelefonoFor.Principal === 0, 'text-success': tTelefonoFor.Principal === 1}"></div>
                    <div class="custom-control custom-switch pt-2">
                      <input class="custom-control-input" type="radio" name="rbPrincipal" id="chkPrinc{{tTelefonoFor.Id}}" ng-true-value="1" ng-false-value="0" [checked]="tTelefonoFor.Principal" (change)="TelefonoPrincipal(tTelefonoFor)"/>
                      <label class="custom-control-label" for="chkPrinc{{tTelefonoFor.Id}}">Principal</label>
                    </div>
                  </div>
                  <div class="col ml-4">
                    <div class="h6 text-primary mb-0 text-gray-800">{{ tTelefonoFor.Telefono }}</div>
                  </div>
                  <div class="col-auto">
                    <button class="btn btn-outline-danger" type="button" (click)="EliminarTelefono(tTelefonoFor, jv)"><span class="fas fa-trash"></span></button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row pt-2">
      <div class="form-gropup col-12">
        <ngb-pagination class="d-flex justify-content-center" [collectionSize]="tCliente.LTelefonos.length" [(page)]="tPagina" aria-label="Default pagination" [pageSize]="tTamanoPag"></ngb-pagination>
      </div>
    </div>
  </div>
  <div class="col-12 col-lg-6"></div>
</div>

ProyectoCrm/src/app/Modulos/ClienteModulo/Paginas/fw-cliente/Componentes/fw-cliente-contacto/fw-cliente-contacto.component.pug
div.row
  div.col-12.col-lg-6
    div.form-row.border-bottom-secondary.mb-2
      div.form-group.col-12
        h5.card-title.mb-0.text-gray-800
          span.fas.fa-info.mr-2
          span Telefonos
    div.form-row
      div.form-group.col-12.col-lg-11
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-phone
          input(type="text",
                  placeholder="Telefono",
                  size="sm",
                  [(ngModel)]="tClienteTelefonoNuevo.Telefono").ControlInput--Input.align-middle
      div.form-group.col-12.col-lg-1
        button((click)="CargarTelefono()",
          name="Agregar",
          title="Agregar").btn.btn-outline-success
          i.fas.fa-plus
    div.form-row
      div.form-group.col-12
        div(*ngFor="let tTelefonoFor of tCliente.LTelefonos | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index").row.pb-2
          div.col-12
            div.card.border-left-secondary
              div.card-body
                div.row.no-gutters.align-items-center
                  div.col-auto.text-center
                    div([ngClass]="{'text-gray-300': tTelefonoFor.Principal === 0, 'text-success': tTelefonoFor.Principal === 1}").fas.fa-phone.fa-2x
                    div.custom-control.custom-switch.pt-2
                      input(type="radio",
                          name="rbPrincipal"
                          id="chkPrinc{{tTelefonoFor.Id}}"
                          ng-true-value="1",
                          ng-false-value="0",
                          [checked]="tTelefonoFor.Principal",
                          (change)="TelefonoPrincipal(tTelefonoFor)").custom-control-input
                      label(for="chkPrinc{{tTelefonoFor.Id}}").custom-control-label Principal
                  div.col.ml-4
                    div.h6.text-primary.mb-0.text-gray-800 {{ tTelefonoFor.Telefono }}
                  div.col-auto
                    button(type="button",
                      (click)="EliminarTelefono(tTelefonoFor, jv)").btn.btn-outline-danger
                      span.fas.fa-trash
    div.form-row.pt-2
      div.form-gropup.col-12
        ngb-pagination([collectionSize]="tCliente.LTelefonos.length",
                        [(page)]="tPagina",
                        aria-label="Default pagination",
                      [pageSize]="tTamanoPag").d-flex.justify-content-center
  div.col-12.col-lg-6
